Sepia tones an image

- « Imagick::separateImageChannel

- Imagick::setBackgroundColor »

- PHP Manual
- Imagick
- Sepia tones an image

# Imagick::sepiaToneImage

(PECL imagick 2, PECL imagick 3)

Imagick::sepiaToneImage — Sepia tones an image

### Description

public Imagick::sepiaToneImage(float `$threshold`): bool

Applies a special effect to the image, similar to the effect achieved in a photo darkroom by sepia toning. Threshold ranges from 0 to QuantumRange and is a measure of the extent of the sepia toning. A threshold of 80 is a good starting point for a reasonable tone.

### Parameters

`threshold`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::sepiaToneImage()

    <?phpfunction sepiaToneImage($imagePath, $sepia) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->sepiaToneImage($sepia);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>